{% extends "sinistre/fiche_sinistre.html.twig" %}
{% block topbar %}
    {{ parent() }}
    {% include 'topbar/choix_topbar2.html.twig' %}

{% endblock %}
{% block statut %}
    <div class='container-fluid'>
        <form class='form-vertical col-md-12' method="POST">
            <fieldset>
                <legend>Expertise</legend>
                <div class="col-md-12">
                    <div class='form-group col-md-12'>
                        <div class='col-md-2'>Ref dossier expert compagnie</div>
                        <div class="col-md-10">
                            <input class="form-control" name="ref_expert_cie" value="{{ context.sinistre.amiable.ref_dossier_expert_compagnie }}">
                        </div></div>
                    <div class='form-group col-md-12'>
                        <div class='col-md-2'>Expert compagnie amiable</div>
                        <div class="col-md-9" style="padding-left: 0; padding-right: 0">
                            {% include 'global/forms/contact.html.twig' with { 'contact' : context.sinistre.amiable.cabinet_expert_compagnie, 'edit' : context.edit, 'justname' : true, 'prefix' : 'expert_cie'} %}
                        </div></div>
                    <div class="form-group col-md-12">
                        <div class="col-md-2">Adresse</div>
                        <div class="col-md-9" style="padding: 0; margin: 0">
                            {% include 'global/forms/form_adresse.html.twig' with { 'adresse' : context.sinistre.amiable.cabinet_expert_compagnie.adresse, 'edit' : context.edit, 'prefix' : 'expert_cie_'} %}
                        </div></div>
                    <div class='form-group col-md-12'>
                        <div class='col-md-2'>Contact expert</div>
                        <div class="col-md-9" style="padding-left: 0; padding-right: 0">
                            {% include 'global/forms/contact.html.twig' with { 'contact' : context.sinistre.amiable.expert_compagnie, 'edit' : context.edit, 'prefix' : 'expert'} %}
                        </div>
                    </div>
                </div>
            </fieldset>

            <fieldset>
                <legend>Locateurs d'ouvrage</legend>
                <div class="col-md-12">
                    <div class="form-group" id='los'>
                        {% for lo in context.sinistre.amiable.lo %}
                            <div class='col-md-12 lo'>
                                <div class='col-md-2'>
                                    {% if context.edit %}<button type='button' class='del_lo btn btn-sm btn-primary'>Supprimer</button>{% endif %}
                                </div>
                                <div class='col-md-9'>
                                    <div class='col-md-12' style="padding-bottom: 10px">{% include 'global/forms/contact.html.twig' with {'justname' : true, 'contact' : lo, 'edit' : context.edit, 'prefix' : 'lo' ~ loop.index } %}</div>
                                    <div class='col-md-1'>Adresse</div>
                                    <div class='col-md-11'>{% include 'global/forms/form_adresse.html.twig' with { 'adresse' : lo.adresse, 'edit' : context.edit, 'prefix' : 'lo' ~ loop.index ~ '_' } %}</div>
                                </div>
                                <div class="col-md-12"> <br><br></div>
                            </div> 
                        {% endfor %}
                    </div>
                    {% if context.edit %}
                        <div class="col-md-12"><button type='button' class="btn-gaia" id='ajout_lo'>Ajouter un LO</button></div>
                    {% endif %}  
                </div>
            </fieldset>
            {% if context.edit %}
                <div class="col-md-12" style="margin-top: 20px"> <button class="btn btn-gaia pull-right" type="submit">Enregistrer</button></div>
            {% endif %}
        </form>
        <script>
            $(document).ready(function () {
                $('#ajout_lo').click(function () {
                    var url = "{{ ajax_url }}/ajax_c/getFormLo/";
                    $.ajax(url).done(function (data) {
                        $('#los').append(data);
                        resetOrder();
                        listen();
                    });
                });
                function listen() {
                    $('.del_lo').click(function () {
                        console.log('test');
                        var lo = $(this).parents(".lo");
                        lo.remove();
                        resetOrder();
                    });
                }
                listen();
            });
            function resetOrder() {
                var los = $('.lo');
                los.each(function (index) {
                    var num = index + 1;
                    $(this).find("select").prop("name", "type_lo" + num);
                    var inputs = $(this).find("input");
                    $(inputs[0]).prop("name", "lo" + num + "_nom_contact");
                    $(inputs[1]).prop("name", "lo" + num + "_telephone_contact");
                    $(inputs[2]).prop("name", "lo" + num + "_email_contact");
                    $(inputs[3]).prop("name", "lo" + num + "_rue1");
                    $(inputs[4]).prop("name", "lo" + num + "_rue2");
                    $(inputs[5]).prop("name", "lo" + num + "_rue3");
                    $(inputs[6]).prop("name", "lo" + num + "_code_postal");
                    $(inputs[7]).prop("name", "lo" + num + "_commune");
                });
            }

        </script>
    {% endblock %}